"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mysql_1 = require("mysql");
const bsql_error_1 = require("./bsql_error");
const query_1 = require("./query");
const where_filter_1 = require("./where_filter");
class QueryDelete extends query_1.Query {
    from(table) {
        bsql_error_1.assert(typeof table === 'string' && table, `Parameter table expected an not empty string, but get: ${table}.`);
        this.sql.from = `DELETE FROM ${mysql_1.escapeId(table)}`;
        return this;
    }
    where(filter) {
        bsql_error_1.assert(typeof filter === 'object' && filter, `Parameter table expected an not empty object, but get: ${filter}.`);
        this.sql.where = `WHERE ${where_filter_1.buildWhereSql(filter)}`;
        return this;
    }
    getSql() {
        bsql_error_1.assert(this.sql.from, 'Table name is required, please call from(table).');
        bsql_error_1.assert(this.sql.where, 'Filter is required, please call where(filter).');
        return [this.sql.from, this.sql.where];
    }
}
exports.QueryDelete = QueryDelete;
//# sourceMappingURL=query_delete.js.map